Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class ChangeRequest

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.ChangeRequest

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class ChangeRequest

extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

Constructor Summary
`ChangeRequest()`
`ChangeRequest(URI about)`

Method Summary
`void` | `addAffectedByDefect(org.eclipse.lyo.oslc4j.core.model.Link affectedByDefect)`
`void` | `addAffectsPlanItem(org.eclipse.lyo.oslc4j.core.model.Link affectsPlanItem)`
`void` | `addAffectsRequirement(org.eclipse.lyo.oslc4j.core.model.Link affectsRequirement)`
`void` | `addAffectsTestResult(org.eclipse.lyo.oslc4j.core.model.Link affectsTestResult)`
`void` | `addBlocksTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link blocksTestExecutionRecord)`
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addDctermsType(String dctermsType)`
`void` | `addImplementsRequirement(org.eclipse.lyo.oslc4j.core.model.Link implementsRequirement)`
`void` | `addRdfType(URI rdfType)`
`void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
`void` | `addRelatedResource(org.eclipse.lyo.oslc4j.core.model.Link relatedResource)`
`void` | `addRelatedTestCase(org.eclipse.lyo.oslc4j.core.model.Link relatedTestCase)`
`void` | `addRelatedTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link relatedTestExecutionRecord)`
`void` | `addRelatedTestPlan(org.eclipse.lyo.oslc4j.core.model.Link relatedTestPlan)`
`void` | `addRelatedTestScript(org.eclipse.lyo.oslc4j.core.model.Link relatedTestScript)`
`void` | `addSubject(String subject)`
`void` | `addTestedByTestCase(org.eclipse.lyo.oslc4j.core.model.Link testedByTestCase)`
`void` | `addTracksChangeSet(org.eclipse.lyo.oslc4j.core.model.Link tracksChangeSet)`
`void` | `addTracksRequirement(org.eclipse.lyo.oslc4j.core.model.Link tracksRequirement)`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectedByDefects()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectsPlanItems()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectsRequirements()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectsTestResults()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getBlocksTestExecutionRecords()`
`Date` | `getCloseDate()`
`URI[]` | `getContributors()`
`Date` | `getCreated()`
`URI[]` | `getCreators()`
`String[]` | `getDctermsTypes()`
`String` | `getDescription()`
`URI` | `getDiscussedBy()`
`String` | `getIdentifier()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getImplementsRequirements()`
`URI` | `getInstanceShape()`
`Date` | `getModified()`
`URI[]` | `getRdfTypes()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedResources()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestCases()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestExecutionRecords()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestPlans()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestScripts()`
`URI` | `getServiceProvider()`
`String` | `getShortTitle()`
`String` | `getStatus()`
`String[]` | `getSubjects()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTestedByTestCases()`
`String` | `getTitle()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTracksChangeSets()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTracksRequirements()`
`Boolean` | `isApproved()`
`Boolean` | `isClosed()`
`Boolean` | `isFixed()`
`Boolean` | `isInProgress()`
`Boolean` | `isReviewed()`
`Boolean` | `isVerified()`
`void` | `setAffectedByDefects(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByDefects)`
`void` | `setAffectsPlanItems(org.eclipse.lyo.oslc4j.core.model.Link[] affectsPlanItems)`
`void` | `setAffectsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] affectsRequirements)`
`void` | `setAffectsTestResults(org.eclipse.lyo.oslc4j.core.model.Link[] affectsTestResults)`
`void` | `setApproved(Boolean approved)`
`void` | `setBlocksTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] blocksTestExecutionRecords)`
`void` | `setClosed(Boolean closed)`
`void` | `setCloseDate(Date closeDate)`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreated(Date created)`
`void` | `setCreators(URI[] creators)`
`void` | `setDctermsTypes(String[] dctermsTypes)`
`void` | `setDescription(String description)`
`void` | `setDiscussedBy(URI discussedBy)`
`void` | `setFixed(Boolean fixed)`
`void` | `setIdentifier(String identifier)`
`void` | `setImplementsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] implementsRequirements)`
`void` | `setInProgress(Boolean inProgress)`
`void` | `setInstanceShape(URI instanceShape)`
`void` | `setModified(Date modified)`
`void` | `setRdfTypes(URI[] rdfTypes)`
`void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
`void` | `setRelatedResources(org.eclipse.lyo.oslc4j.core.model.Link[] relatedResources)`
`void` | `setRelatedTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestCases)`
`void` | `setRelatedTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestExecutionRecords)`
`void` | `setRelatedTestPlans(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestPlans)`
`void` | `setRelatedTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestScripts)`
`void` | `setReviewed(Boolean reviewed)`
`void` | `setServiceProvider(URI serviceProvider)`
`void` | `setShortTitle(String shortTitle)`
`void` | `setStatus(String status)`
`void` | `setSubjects(String[] subjects)`
`void` | `setTestedByTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] testedByTestCases)`
`void` | `setTitle(String title)`
`void` | `setTracksChangeSets(org.eclipse.lyo.oslc4j.core.model.Link[] tracksChangeSets)`
`void` | `setTracksRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] tracksRequirements)`
`void` | `setVerified(Boolean verified)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeRequest

    public ChangeRequest()
                  throws URISyntaxException

Throws:
  `URISyntaxException`

### ChangeRequest

    public ChangeRequest(URI about)
                  throws URISyntaxException

Throws:
  `URISyntaxException`

Method Detail

### addAffectedByDefect

    public void addAffectedByDefect(org.eclipse.lyo.oslc4j.core.model.Link affectedByDefect)

### addAffectsPlanItem

    public void addAffectsPlanItem(org.eclipse.lyo.oslc4j.core.model.Link affectsPlanItem)

### addAffectsRequirement

    public void addAffectsRequirement(org.eclipse.lyo.oslc4j.core.model.Link affectsRequirement)

### addAffectsTestResult

    public void addAffectsTestResult(org.eclipse.lyo.oslc4j.core.model.Link affectsTestResult)

### addBlocksTestExecutionRecord

    public void addBlocksTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link blocksTestExecutionRecord)

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addDctermsType

    public void addDctermsType(String dctermsType)

### addImplementsRequirement

    public void addImplementsRequirement(org.eclipse.lyo.oslc4j.core.model.Link implementsRequirement)

### addRdfType

    public void addRdfType(URI rdfType)

### addRelatedChangeRequest

    public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

### addRelatedResource

    public void addRelatedResource(org.eclipse.lyo.oslc4j.core.model.Link relatedResource)

### addRelatedTestCase

    public void addRelatedTestCase(org.eclipse.lyo.oslc4j.core.model.Link relatedTestCase)

### addRelatedTestExecutionRecord

    public void addRelatedTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link relatedTestExecutionRecord)

### addRelatedTestPlan

    public void addRelatedTestPlan(org.eclipse.lyo.oslc4j.core.model.Link relatedTestPlan)

### addRelatedTestScript

    public void addRelatedTestScript(org.eclipse.lyo.oslc4j.core.model.Link relatedTestScript)

### addSubject

    public void addSubject(String subject)

### addTestedByTestCase

    public void addTestedByTestCase(org.eclipse.lyo.oslc4j.core.model.Link testedByTestCase)

### addTracksChangeSet

    public void addTracksChangeSet(org.eclipse.lyo.oslc4j.core.model.Link tracksChangeSet)

### addTracksRequirement

    public void addTracksRequirement(org.eclipse.lyo.oslc4j.core.model.Link tracksRequirement)

### getAffectedByDefects

    public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectedByDefects()

### getAffectsPlanItems

    public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectsPlanItems()

### getAffectsRequirements

    public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectsRequirements()

### getAffectsTestResults

    public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectsTestResults()

### getBlocksTestExecutionRecords

    public org.eclipse.lyo.oslc4j.core.model.Link[] getBlocksTestExecutionRecords()

### getCloseDate

    public Date getCloseDate()

### getContributors

    public URI[] getContributors()

### getCreated

    public Date getCreated()

### getCreators

    public URI[] getCreators()

### getDctermsTypes

    public String[] getDctermsTypes()

### getDescription

    public String getDescription()

### getDiscussedBy

    public URI getDiscussedBy()

### getIdentifier

    public String getIdentifier()

### getImplementsRequirements

    public org.eclipse.lyo.oslc4j.core.model.Link[] getImplementsRequirements()

### getInstanceShape

    public URI getInstanceShape()

### getModified

    public Date getModified()

### getRdfTypes

    public URI[] getRdfTypes()

### getRelatedChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

### getRelatedResources

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedResources()

### getRelatedTestCases

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestCases()

### getRelatedTestExecutionRecords

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestExecutionRecords()

### getRelatedTestPlans

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestPlans()

### getRelatedTestScripts

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestScripts()

### getServiceProvider

    public URI getServiceProvider()

### getShortTitle

    public String getShortTitle()

### getStatus

    public String getStatus()

### getSubjects

    public String[] getSubjects()

### getTestedByTestCases

    public org.eclipse.lyo.oslc4j.core.model.Link[] getTestedByTestCases()

### getTitle

    public String getTitle()

### getTracksChangeSets

    public org.eclipse.lyo.oslc4j.core.model.Link[] getTracksChangeSets()

### getTracksRequirements

    public org.eclipse.lyo.oslc4j.core.model.Link[] getTracksRequirements()

### isApproved

    public Boolean isApproved()

### isClosed

    public Boolean isClosed()

### isFixed

    public Boolean isFixed()

### isInProgress

    public Boolean isInProgress()

### isReviewed

    public Boolean isReviewed()

### isVerified

    public Boolean isVerified()

### setAffectedByDefects

    public void setAffectedByDefects(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByDefects)

### setAffectsPlanItems

    public void setAffectsPlanItems(org.eclipse.lyo.oslc4j.core.model.Link[] affectsPlanItems)

### setAffectsRequirements

    public void setAffectsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] affectsRequirements)

### setAffectsTestResults

    public void setAffectsTestResults(org.eclipse.lyo.oslc4j.core.model.Link[] affectsTestResults)

### setApproved

    public void setApproved(Boolean approved)

### setBlocksTestExecutionRecords

    public void setBlocksTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] blocksTestExecutionRecords)

### setClosed

    public void setClosed(Boolean closed)

### setCloseDate

    public void setCloseDate(Date closeDate)

### setContributors

    public void setContributors(URI[] contributors)

### setCreated

    public void setCreated(Date created)

### setCreators

    public void setCreators(URI[] creators)

### setDctermsTypes

    public void setDctermsTypes(String[] dctermsTypes)

### setDescription

    public void setDescription(String description)

### setDiscussedBy

    public void setDiscussedBy(URI discussedBy)

### setFixed

    public void setFixed(Boolean fixed)

### setIdentifier

    public void setIdentifier(String identifier)

### setImplementsRequirements

    public void setImplementsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] implementsRequirements)

### setInProgress

    public void setInProgress(Boolean inProgress)

### setInstanceShape

    public void setInstanceShape(URI instanceShape)

### setModified

    public void setModified(Date modified)

### setRdfTypes

    public void setRdfTypes(URI[] rdfTypes)

### setRelatedChangeRequests

    public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

### setRelatedResources

    public void setRelatedResources(org.eclipse.lyo.oslc4j.core.model.Link[] relatedResources)

### setRelatedTestCases

    public void setRelatedTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestCases)

### setRelatedTestExecutionRecords

    public void setRelatedTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestExecutionRecords)

### setRelatedTestPlans

    public void setRelatedTestPlans(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestPlans)

### setRelatedTestScripts

    public void setRelatedTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestScripts)

### setReviewed

    public void setReviewed(Boolean reviewed)

### setServiceProvider

    public void setServiceProvider(URI serviceProvider)

### setShortTitle

    public void setShortTitle(String shortTitle)

### setStatus

    public void setStatus(String status)

### setSubjects

    public void setSubjects(String[] subjects)

### setTestedByTestCases

    public void setTestedByTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] testedByTestCases)

### setTitle

    public void setTitle(String title)

### setTracksChangeSets

    public void setTracksChangeSets(org.eclipse.lyo.oslc4j.core.model.Link[] tracksChangeSets)

### setTracksRequirements

    public void setTracksRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] tracksRequirements)

### setVerified

    public void setVerified(Boolean verified)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.